import React from 'react';
import { storiesOf } from '@storybook/react';
import { withKnobs, text } from '@storybook/addon-knobs';
import { FormSignCol } from './form-sign-col';
import '../../../theme/index.scss';

storiesOf('Form', module)
  .addDecorator(withKnobs)
  .add('FormSignCol', () => (
    <FormSignCol>
      <div style={{ background: 'aquamarine' }}>
        {text('children', 'Lorem ipsum dolor, sit amet consectetur adipisicing elit. Repudiandae fugiat inventore quos totam doloribus provident doloremque obcaecati expedita tempore aliquam explicabo necessitatibus odio accusantium, laudantium, eos modi sint saepe cupiditate!')}
      </div>
    </FormSignCol>
  ));
